{% extends 'app/base.html' %}

{% block content %}
<div class="container">
  <div class="row">
    <div class="col-md-6">
      <div class="date">
        {{ image.pub_date }}
      </div>
        {% include "includes/vote_buttons.html" with image=image vote=vote %}
      <h2>{{ image.title }} posted_by {{ image.user }}</h2>
      <img class="app-fit" src="{{image.url}}" alt=""/>
    </div>
    <div class="col-md-6">
      <h3>Description</h3>
      <p>{{ image.description|linebreaksbr }}</p>
      <h3>Comments</h3>
      {% for comment in comments %}
        <div class="border comment">

          <p class="red">
            Author: {{ comment.author }} ({{comment.created_at}})
          </p>
          <p class="secondary">
            {{ comment.text }}
          </p>
          
          {% if user.is_superuser %}
          {% include "includes/approve_button.html" with image=image comment=comment %}
          {% endif %}
          {% if user.is_authenticated %}
          {% include "includes/like_buttons.html" with image=image comment=comment likes=likes%}
          {% endif %}
        </div>
      {% endfor %}
        {% if user.is_authenticated %}
      <h2>Post a comment</h2>
      {% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}

      <form action="{% url 'app:comment' image.id %}" method="post" class="border">
        {% csrf_token %}
        {% include "includes/bs4_form.html" with form=form %}
        <input type="submit" value="Post Comment" class="btn btn-lg btn-primary btn-block">
        {% endif %}
      </form>
    </div>
  </div>
</div>
{% endblock %}
